export function freeze(componentData) {
    try {
        componentData.attackingEntity.playSound('endorah.mo.ice_crystal.freeze_sound');
        const entity = componentData.hitEntity;
        const particles = [
            'endorah_mo:ice_ore_special_1',
            'endorah_mo:ice_ore_special_2',
            'endorah_mo:ice_ore_special_3'
        ];
        particles.forEach((particle) => {
            entity.dimension.spawnParticle(particle, componentData.hitEntity.location);
        });
        entity.addEffect('minecraft:slowness', 20);
        entity.addEffect('minecraft:weakness', 20);
    }
    catch (error) { }
}
export function iceParticleFunction(componentData) {
    try {
        const particles = [
            'endorah_mo:ice_ore_1',
            'endorah_mo:ice_ore_2',
            'endorah_mo:ice_ore_3'
        ];
        particles.forEach((particle) => {
            componentData.hitEntity.dimension.spawnParticle(particle, componentData.hitEntity.location);
        });
    }
    catch (error) { }
}
